Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.8 veröffentlicht (17.10.16)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Fehler nach Upgrade 1.16 auf 1.21
#1
Moin!
Nach Upgrade ist Forum nicht mehr ereichbar. Alles nach Anleitung gemacht, Admin-CP funktioniert.

Fatal error: Call to undefined function: makenavoption() in /homepages/39/d40664345/htdocs/zzr-info/index.php on line 476


siehe auch http://zx.zzr.info

Wer weiss Rat?
Grüsse aus Hamburg
Bernd alias BeeJayZZR

MyBB Version.: 1.8.6
PHP Version...: 5.3.18-nmm1
MySQL Version: 5.1.43


[Bild: signature_red_en_us.php]
#2
Komisch, wenn ich http://zx.zzr.info/index.php eingebe, dann scheint es zu klappen. Habe mich aber nicht extra registriert. Hast du alle Cookie-Einstellungen richtig eingegeben? Ich musste den Cookie-Domain-Pfad ab 1.2.0 neu eingeben (vorher blieb der bei mir leer).

Also guck doch mal im Admin-CP unter "Allgemeine Konfiguration"->"Cookie Domain" was dort eingestellt ist. Ist das Feld leer, so probiere es in deinem Falle mal mit ".zzr.info" als Cookie-Domain (Bitte keinen abschließenden Slash "/" eingeben)

Wichtig ist auch der führende Punkt beim Cookie Domain-Pfad!

Nachtrag:

Natürlich sollte auch die "URL zum Forum" im Admin-CP richtig eingestellt sein (auch unter "Allgemeine Konfiguration").

Gruß
Boardie05
#3
Einstellungen vorgenommen, klappt leider trotzdem nicht.

Mit dem Firefox erscheint die gleiche Fehlermeldung.
Mit dem IE komm ich auf das Forum, kann mich aber mit meinen Userdaten nicht anmelden.
Grüsse aus Hamburg
Bernd alias BeeJayZZR

MyBB Version.: 1.8.6
PHP Version...: 5.3.18-nmm1
MySQL Version: 5.1.43


[Bild: signature_red_en_us.php]
#4
Befindet sich im Ordner des Forums eine index.html? Wenn ja musst du diese löschen. Du kannst dich nicht einloggen, weil der Cookie-Pfad falsch ist, dieser muss lauten: /

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
#5
Hi Michael!

Die index.html hatte ich bereits gel?t.
Habe den cookiepfad auf / gesetzt. Jetzt gibt mir der IE die gleiche Fehlermeldung wie der Firefox.

Die angemeckerten Zeilen der Fehlermeldung von index.php

Zeile 42: logadmin();
Zeile 476: makenavoption($item['title'], $item['url']);
Grüsse aus Hamburg
Bernd alias BeeJayZZR

MyBB Version.: 1.8.6
PHP Version...: 5.3.18-nmm1
MySQL Version: 5.1.43


[Bild: signature_red_en_us.php]
#6
Hast du alle Dateien von MyBB 1.2.1 hochgeladen (außer inc/config.php und inc/settings.php)? Es scheint eine Funktion aufgerufen zu werden, die nicht mehr existiert. Hast du Plugins installiert/Codeänderungen durchgeführt?

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
#7
Ich hatte in V1.16 Plugins installiert und auch einige code-veränderungen durchgeführt. Ich habe alles aus 1.21 hochgeladen, vorher alles auf dem server gelöscht aus 1.16 und ohne config und settings wie in der Beschreibung. So nebenbei: Einen sql-dump habe ich auch durchgeführt, da kann eigentlich nichts mehr schiefgehen denn ich habe die alte Version komplett gesichert.
Grüsse aus Hamburg
Bernd alias BeeJayZZR

MyBB Version.: 1.8.6
PHP Version...: 5.3.18-nmm1
MySQL Version: 5.1.43


[Bild: signature_red_en_us.php]
#8
Lade bitte die index.php aus dem aktuellen Paket nochmal hoch.

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
#9
Hab ich gemacht. Ergibt neue fehlermeldung.

Ich werde versuchen erst mal wieder zu downgraden. Dann fang ich nochmal von vorne an. Oder kann ich ´ne neu-Installation 1.21 machen und mit der gesicherten bzw. bestehenden sql-datenbank verbinden?
Grüsse aus Hamburg
Bernd alias BeeJayZZR

MyBB Version.: 1.8.6
PHP Version...: 5.3.18-nmm1
MySQL Version: 5.1.43


[Bild: signature_red_en_us.php]
#10
Du kannst dein sql Backup noch mal aufspielen. Danach löschst du deine komplette Forensoftware, anschließend lädst du die aktuelle Version hoch. Danach nimmst du aus deinem Foren Backup die settings und config.php lädst diese hoch und führst die Installation noch einmal aus.
MyBBoard.de jetzt auf YouTube!
Fehlender Plan wird durch Wahnsinn ersetzt!!Toungue
Gruß Krafdi www.krafdi.de